=== debian/changelog ===
rtl8821ce (5.2.5.2.1.30816.20190425-0ubuntu1) eoan; urgency=medium

  * Initial release (LP: #1837876)

 -- Anthony Wong <anthony.wong@canonical.com>  Mon, 24 Jun 2019 19:39:31 +0800
