=== debian/control ===
Source: rtl8821ce
Section: kernel
Priority: optional
Maintainer: Canonical HWE Team <canonical-hwe@lists.canonical.com>
Build-Depends: debhelper (>= 11), dkms, dh-modaliases
Standards-Version: 4.3.0
Vcs-Git: https://git.launchpad.net/~canonical-hwe-team/+git/rtl8821ce
Vcs-Browser: https://code.launchpad.net/~canonical-hwe-team/+git/rtl8821ce

Package: rtl8821ce-dkms
Architecture: all
Depends: ${misc:Depends}, dkms
XB-Modaliases: ${modaliases}
Description: DKMS source for the Realtek 8821C PCIe WiFi driver
 This package provides the DKMS source code for the rtl8821ce kernel module.
 Kernel source or headers are required to compile these modules.
