## rtl8821ce 5.5.2

=== debian/changelog ===
rtl8821ce (5.5.2-1) unstable; urgency=medium

  * update

 -- liuxin <liuxin@uniontech.com>  Wed, 20 Jan 2021 11:09:33 +0800

rtl8821ce (5.5.2) unstable; urgency=medium

  * Initial release

 -- liuxin <liuxin@uniontech.com>  Tue, 12 Jan 2021 14:49:45 +0800
