=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

include /usr/share/dpkg/default.mk

export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

VERSION ?= $(shell dpkg-parsechangelog | sed -rne 's/^Version: ([0-9.]+).*$$/\1/p')

%:
	dh $@ --with dkms

override_dh_auto_install:
	dh_install -prtl8821ce-dkms -X.o -X.ko core/       usr/src/rtl8821ce-$(VERSION)
	dh_install -prtl8821ce-dkms -X.o -X.ko hal/        usr/src/rtl8821ce-$(VERSION)
	dh_install -prtl8821ce-dkms -X.o -X.ko os_dep/     usr/src/rtl8821ce-$(VERSION)
	dh_install -prtl8821ce-dkms -X.o -X.ko platform/   usr/src/rtl8821ce-$(VERSION)
	dh_install -prtl8821ce-dkms -X.o -X.ko include/    usr/src/rtl8821ce-$(VERSION)
	dh_install -prtl8821ce-dkms Makefile               usr/src/rtl8821ce-$(VERSION)
	dh_install -prtl8821ce-dkms rtl8821c.mk			   usr/src/rtl8821ce-$(VERSION)
	dh_install -prtl8821ce-dkms dkms.conf              usr/src/rtl8821ce-$(VERSION)
	dh_install -prtl8821ce-dkms halmac.mk              usr/src/rtl8821ce-$(VERSION)

override_dh_dkms:
	dh_dkms -V

override_dh_auto_build:
	:
