## rtl8821ce 5.5.2.1%2Bgit20221215

=== debian/changelog ===
rtl8821ce (5.5.2.1+git20221215-0.1~mx21+1) mx; urgency=medium

  * New pull from Github to support 6.1 kernels.
  * Don't use dh-modaliases or quilt for the build.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 Jan 2023 17:21:17 -0800

rtl8821ce (5.5.2.1+git20220911-0.1~mx21+1) mx; urgency=medium

  * New pull from Github to support 6.0 kernels.

 -- Steven Pusser <stevep@mxlinux.org>  Thu, 27 Oct 2022 13:58:07 -0700

rtl8821ce (5.5.2.1+git20220827-0.1~mx21+1) mx; urgency=medium

  * New pull from Github to support 5.19.2 or above kernels.
  * Disable patches.

 -- Steven Pusser <stevep@mxlinux.org>  Sat, 27 Aug 2022 12:45:22 -0700

rtl8821ce (5.5.2.1-11~mx21+1) mx; urgency=medium

  * Rebuild for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Mon, 08 Aug 2022 14:01:18 -0700

rtl8821ce (5.5.2.1-0ubuntu11) kinetic; urgency=medium

  * Linux 5.19 compatibility (LP: #1982080):
    - debian/patches/0020-support-linux-5.19.patch

 -- Andrea Righi <andrea.righi@canonical.com>  Tue, 19 Jul 2022 07:33:49 +0000

rtl8821ce (5.5.2.1-0ubuntu10) jammy; urgency=medium

  * Drop manual autopkgtest in favor of using the autodep8 one.

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Mon, 11 Apr 2022 15:22:26 +0100

rtl8821ce (5.5.2.1-0ubuntu9) jammy; urgency=medium

  * Cherrypick Linux 5.17 support patch, and adjust dkms.conf to exclude
    building on wifi-less kernels. LP: #1968297

 -- Dimitri John Ledkov <dimitri.ledkov@canonical.com>  Fri, 08 Apr 2022 10:15:52 +0100

rtl8821ce (5.5.2.1-0ubuntu8) jammy; urgency=medium

  * Linux 5.15 support 

 -- Paolo Pisati <paolo.pisati@canonical.com>  Wed, 29 Sep 2021 08:53:52 +0000
