=== debian/control ===
Source: rtl8821ce
Section: kernel
Priority: optional
Maintainer: Steven Pusser <stevep@mxlinux.org>
XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 12),
               dkms
Standards-Version: 4.5.0
Homepage: https://github.com/tomaspinho/rtl8821ce

Package: rtl8821ce-dkms
Architecture: all
Depends: bc, dkms, ${misc:Depends}
#XB-Modaliases: ${modaliases}
Description: DKMS source for the Realtek 8821CE PCIe Wi-Fi driver
 Realtek provides the solution for WLAN in hardware and software. The software
 package could be adopted for Realtek RTL8821CE WLAN series hardware on Linux
 based platforms.
 .
 This package provides the DKMS source code for the rtl8821ce kernel module.
 Kernel source or headers are required to compile these modules. 
 .
 This update supports builds on kernel versions <= 6.1.
