## rtl8821ce 5.5.2.1+git20220911

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,6 @@
 Priority: optional
 Maintainer: Steven Pusser <stevep@mxlinux.org>
 XSBC-Original-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-# XSBC-Original-Maintainer: Canonical HWE Team <canonical-hwe@lists.canonical.com>
 Rules-Requires-Root: no
 Build-Depends: debhelper-compat (= 12), dh-modaliases, dkms, quilt
 Standards-Version: 4.5.0
