=== debian/changelog ===
rtl8821ce (5.5.2.1+git20230504-0~mx23+1) mx; urgency=medium

  * Rebuild for MX-23

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 17 Jun 2023 19:41:55 -0400

rtl8821ce (5.5.2.1+git20230504-0~mx21+1) mx; urgency=medium

  * Support for kernel 6.3
  * Build for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sat, 17 Jun 2023 19:35:28 -0400
