=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/pkg-info.mk

%:
	dh $@ --with dkms

override_dh_install:
	dh_install -Xdebian \
	  -Xcore/mesh/rtw_mesh.o \
	  -Xcore/mesh/rtw_mesh_hwmp.o \
	  -Xcore/mesh/rtw_mesh_pathtbl.o \
	  * usr/src/rtl8821ce-$(DEB_VERSION_UPSTREAM)/

override_dh_dkms:
	dh_dkms -V $(DEB_VERSION_UPSTREAM)

override_dh_auto_configure:
override_dh_auto_build:
override_dh_auto_test:
override_dh_auto_install:
override_dh_auto_clean:
