## rtl8821ce 5.5.2.1+git20240120

=== debian/changelog ===
rtl8821ce (5.5.2.1+git20240120-0~mx23) mx; urgency=medium

  * Support added for kernel 6.7

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 25 Jan 2024 11:53:02 -0500
