## rtl8821ce 5.5.2.1+git20240526

=== debian/changelog ===
rtl8821ce (5.5.2.1+git20240526-0~mx23) mx; urgency=medium

  * Suppoert added for kernel 6.9

 -- Timothy E. Harris <maintainer@mxrepo.com>  Thu, 05 Jun 2024 22:28:42 -0400
