## rtl8821ce 5.5.2.1+git20250208

=== debian/changelog ===
rtl8821ce (5.5.2.1+git20250208-0~mx21) mx; urgency=medium

  * Rebuild for MX-21

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 05 Mar 2025 20:02:39 +0000

rtl8821ce (5.5.2.1+git20250208-0~mx23) mx; urgency=medium

  * Added support for kernel 6.13

 -- Timothy E. Harris <maintainer@mxrepo.com>  Wed, 05 Mar 2025 20:00:02 +0000
